include clib.inc
include ctype.inc

	public	islabel

_TEXT	SEGMENT

islabel	PROC
	push	ax
	call	getctype
	test	ah,_UPPER or _LOWER or _DIGIT
	jnz	islabel_end
	cmp	al,'_'
	je	islabel_ok
    islabel_no:
	xor	al,al
	jmp	islabel_end
    islabel_ok:
	test	al,al
    islabel_end:
	pop	ax
	ret
islabel	ENDP

_TEXT	ENDS

	END

